---
lang: en
title: 'API docs: socketio.socketiobooter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiobooter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoBooter](./socketio.socketiobooter.md)

## SocketIoBooter class

A class that extends [BaseArtifactBooter](./boot.baseartifactbooter.md) to boot the  artifact type.

**Signature:**

```typescript
export declare class SocketIoBooter extends BaseArtifactBooter 
```
**Extends:** [BaseArtifactBooter](./boot.baseartifactbooter.md)

## Remarks

Discovered controllers are bound using [Application.controller()](./core.application.controller.md)<!-- -->.

Supported phases: `configure`<!-- -->, `discover`<!-- -->, `load`

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, projectRoot, socketioControllerConfig, socketioServer)](./socketio.socketiobooter._constructor_.md) |  | Constructs a new instance of the <code>SocketIoBooter</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [app](./socketio.socketiobooter.app.md) |  | [Application](./core.application.md) |  |
|  [socketioControllerConfig](./socketio.socketiobooter.socketiocontrollerconfig.md) |  | [ArtifactOptions](./boot.artifactoptions.md) |  |
|  [socketioServer](./socketio.socketiobooter.socketioserver.md) | <code>protected</code> | [SocketIoServer](./socketio.socketioserver.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [load()](./socketio.socketiobooter.load.md) |  | Uses super method to get a list of Artifact classes. Boot each class by binding it to the application using <code>app.controller(controller);</code>. |


